org.apache.commons.math3.geometry.euclidean.threed

## Class RotationOrder

- java.lang.Object
- - org.apache.commons.math3.geometry.euclidean.threed.RotationOrder

-     public final class RotationOrder
      extends Object

  This class is a utility representing a rotation order specification for Cardan or Euler angles specification. This class cannot be instanciated by the user. He can only use one of the twelve predefined supported orders as an argument to either the `Rotation.Rotation(RotationOrder,double,double,double)` constructor or the `Rotation.getAngles(org.apache.commons.math3.geometry.euclidean.threed.RotationOrder)` method.
  Since:
    1.2
  Version:
    $Id: RotationOrder.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RotationOrder` | `XYX` Set of Euler angles.
    `static RotationOrder` | `XYZ` Set of Cardan angles.
    `static RotationOrder` | `XZX` Set of Euler angles.
    `static RotationOrder` | `XZY` Set of Cardan angles.
    `static RotationOrder` | `YXY` Set of Euler angles.
    `static RotationOrder` | `YXZ` Set of Cardan angles.
    `static RotationOrder` | `YZX` Set of Cardan angles.
    `static RotationOrder` | `YZY` Set of Euler angles.
    `static RotationOrder` | `ZXY` Set of Cardan angles.
    `static RotationOrder` | `ZXZ` Set of Euler angles.
    `static RotationOrder` | `ZYX` Set of Cardan angles.
    `static RotationOrder` | `ZYZ` Set of Euler angles.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector3D` | `getA1()` Get the axis of the first rotation.
    `Vector3D` | `getA2()` Get the axis of the second rotation.
    `Vector3D` | `getA3()` Get the axis of the second rotation.
    `String` | `toString()` Get a string representation of the instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XYZ

          public static final RotationOrder XYZ

      Set of Cardan angles. this ordered set of rotations is around X, then around Y, then around Z

    - #### XZY

          public static final RotationOrder XZY

      Set of Cardan angles. this ordered set of rotations is around X, then around Z, then around Y

    - #### YXZ

          public static final RotationOrder YXZ

      Set of Cardan angles. this ordered set of rotations is around Y, then around X, then around Z

    - #### YZX

          public static final RotationOrder YZX

      Set of Cardan angles. this ordered set of rotations is around Y, then around Z, then around X

    - #### ZXY

          public static final RotationOrder ZXY

      Set of Cardan angles. this ordered set of rotations is around Z, then around X, then around Y

    - #### ZYX

          public static final RotationOrder ZYX

      Set of Cardan angles. this ordered set of rotations is around Z, then around Y, then around X

    - #### XYX

          public static final RotationOrder XYX

      Set of Euler angles. this ordered set of rotations is around X, then around Y, then around X

    - #### XZX

          public static final RotationOrder XZX

      Set of Euler angles. this ordered set of rotations is around X, then around Z, then around X

    - #### YXY

          public static final RotationOrder YXY

      Set of Euler angles. this ordered set of rotations is around Y, then around X, then around Y

    - #### YZY

          public static final RotationOrder YZY

      Set of Euler angles. this ordered set of rotations is around Y, then around Z, then around Y

    - #### ZXZ

          public static final RotationOrder ZXZ

      Set of Euler angles. this ordered set of rotations is around Z, then around X, then around Z

    - #### ZYZ

          public static final RotationOrder ZYZ

      Set of Euler angles. this ordered set of rotations is around Z, then around Y, then around Z

  - ### Method Detail

    - #### toString

          public String toString()

      Get a string representation of the instance.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the instance (in fact, its name)

    - #### getA1

          public Vector3D getA1()

      Get the axis of the first rotation.
      Returns:
        axis of the first rotation

    - #### getA2

          public Vector3D getA2()

      Get the axis of the second rotation.
      Returns:
        axis of the second rotation

    - #### getA3

          public Vector3D getA3()

      Get the axis of the second rotation.
      Returns:
        axis of the second rotation

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.